[arch-commits] Commit in python-bottle/repos/community-any (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Sun Oct 9 14:57:44 UTC 2016
Date: Sunday, October 9, 2016 @ 14:57:43
Author: felixonmars
Revision: 191710
archrelease: copy trunk to community-any
Added:
python-bottle/repos/community-any/PKGBUILD
(from rev 191709, python-bottle/trunk/PKGBUILD)
Deleted:
python-bottle/repos/community-any/PKGBUILD
----------+
PKGBUILD | 110 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 55 insertions(+), 55 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2016-10-09 14:57:20 UTC (rev 191709)
+++ PKGBUILD 2016-10-09 14:57:43 UTC (rev 191710)
@@ -1,55 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Richard Murri <admin at richardmurri.com>
-# Contributor: Farhad Shahbazi <farhad at enthusiasm.cc>
-# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
-
-pkgbase=python-bottle
-pkgname=("python-bottle" "python2-bottle")
-pkgver=0.12.9
-pkgrel=1
-pkgdesc="A fast and simple micro-framework for small web-applications"
-arch=(any)
-url="http://bottlepy.org"
-license=('MIT')
-options=(!emptydirs)
-makedepends=('python-setuptools' 'python2-setuptools' 'git')
-checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja'
- 'python-cherrypy' 'python2-cherrypy' 'python-twisted'
- 'python2-twisted' 'python-tornado' 'python2-tornado'
- 'python2-paste' 'python2-gevent')
-source=("git+https://github.com/defnull/bottle.git#tag=${pkgver}")
-sha512sums=('SKIP')
-
-prepare() {
- cp -a bottle{,-py2}
- sed -i "1s/python/python2/" bottle-py2/bottle.py
-}
-
-check() {
- cd "$srcdir/bottle"
- # https://github.com/bottlepy/bottle/issues/791
- python test/testall.py || warning 'Tests failed'
-
- cd "$srcdir/bottle-py2"
- python2 test/testall.py
-}
-
-package_python-bottle() {
- depends=('python3')
-
- cd bottle
- python3 setup.py install --root="${pkgdir}" --optimize=1
- install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-package_python2-bottle() {
- depends=('python2')
-
- cd bottle-py2
- python2 setup.py install --root="${pkgdir}" --optimize=1
- install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
- # deal with conflict with python-bottle's /usr/bin/bottle.py
- mv "$pkgdir/usr/bin/bottle.py"{,2}
-}
Copied: python-bottle/repos/community-any/PKGBUILD (from rev 191709, python-bottle/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2016-10-09 14:57:43 UTC (rev 191710)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Richard Murri <admin at richardmurri.com>
+# Contributor: Farhad Shahbazi <farhad at enthusiasm.cc>
+# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
+
+pkgbase=python-bottle
+pkgname=("python-bottle" "python2-bottle")
+pkgver=0.12.10
+pkgrel=1
+pkgdesc="A fast and simple micro-framework for small web-applications"
+arch=(any)
+url="http://bottlepy.org"
+license=('MIT')
+options=(!emptydirs)
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja'
+ 'python-cherrypy' 'python2-cherrypy' 'python-twisted'
+ 'python2-twisted' 'python-tornado' 'python2-tornado'
+ 'python2-paste' 'python2-gevent')
+source=("git+https://github.com/defnull/bottle.git#tag=${pkgver}")
+sha512sums=('SKIP')
+
+prepare() {
+ cp -a bottle{,-py2}
+ sed -i "1s/python/python2/" bottle-py2/bottle.py
+}
+
+check() {
+ cd "$srcdir/"bottle
+ # https://github.com/bottlepy/bottle/issues/791
+ python test/testall.py || warning 'Tests failed'
+
+ cd "$srcdir/"bottle-py2
+ python2 test/testall.py
+}
+
+package_python-bottle() {
+ depends=('python')
+
+ cd bottle
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-bottle() {
+ depends=('python2')
+
+ cd bottle-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+ # deal with conflict with python-bottle's /usr/bin/bottle.py
+ mv "$pkgdir"/usr/bin/bottle.py{,2}
+}
More information about the arch-commits
mailing list